Subject: bug#21255: closed (Re: bug#21255: 24.5; Buggy fringe display on Mac)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Apr 2017 12:24:01 +0000

Your bug report

#21255: 24.5; Buggy fringe display on Mac

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21255: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21255
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21255: 24.5; Buggy fringe display on Mac
From: Alan Third <[email-masked]>
To: Yutian Li | 李雨田 <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Apr 2017 13:23:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Third <[email-masked]> writes:

> On Wed, Jun 01, 2016 at 08:23:45AM +0000, Yutian Li | 李雨田 wrote:
>> Hi Alan,
>> 
>> I added `(set-frame-parameter nil `left-fringe -8)` to my `init.el` on Mac
>> to circumvent this problem.
>> 
>> I guess somehow the default fringe size on Mac is different than that on
>> Linux for some reason.
>> 
>> But it works perfectly at least for now.
>
> Hi, I still can't see what's different. When I run that lisp snippet I
> don't see any difference.
>
> Can you provide a screenshot of Emacs on Linux as well as one of Emacs
> on OS X that shows the difference?

No response, so I'll mark this as closed.
-- 
Alan Third

Subject: 24.5; Buggy fringe display on Mac
From: Yutian Li <[email-masked]>
To: [email-masked]
Date: Thu, 13 Aug 2015 23:33:53 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using Emacs for Mac OS X (http://emacsformacosx.com/) on OS X
10.10.4.

As the screenshot (http://i.imgur.com/bdRS465.png) shows, the fringe
misses a left border.

On Linux with GTK+2, the fringe works as expected (in plugin `diff-hl`).

In GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
of 2015-04-11 on builder10-9.porkrind.org
Windowing system distributor `Apple', version 10.3.1348
Configured using:
`configure --with-ns '--enable-locallisppath=/Library/Application
Support/Emacs/${version}/site-lisp:/Library/Application
Support/Emacs/site-lisp''

Important settings:
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  global-diff-hl-mode: t
  diff-auto-refine-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
, is undefined
x is undefined
Quit

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils diff-hl vc-dir ewoc vc vc-dispatcher
diff-mode easy-mmode info easymenu package epg-config time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
cocoa ns multi-tty emacs)

Memory information:
((conses 16 92784 7189)
(symbols 48 19343 0)
(miscs 40 78 119)
(strings 32 17834 5044)
(string-bytes 1 610101)
(vectors 16 10961)
(vector-slots 8 393914 5561)
(floats 8 61 64)
(intervals 56 214 0)
(buffers 960 12))